﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class GameControler : MonoBehaviour {

	public bool paused = false;

	public GameObject gameOverModal;

	public GameObject pausedModal;

	private int numberOfImps = 0;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	public void restart() {
		unPauseGame ();
		Application.LoadLevel("Title");
	}


	public void playGame() {
		Application.LoadLevel("Main");
	}

	public void gameOver () {
//		pauseTime ();
//		GetComponent<AudioSource> ().Play ();
//		gameOverModal.SetActive (true);
//		GameObject.Find("TXT_NumberOfImps").GetComponent<Text> ().text = numberOfImps.ToString();
//		GameObject.Find ("SoundBackground").GetComponent<AudioSource> ().mute = true;	
		PlayerPrefs.SetInt ("imps", numberOfImps);
		Application.LoadLevel("GameOver");


//		GameObject.Find ("GameOverModal").GetComponent<AudioSource> ().Play ();
//		GameObject.Find ("BG_GameOver").GetComponent<Animator> ().SetTrigger ("animate");




//		gameOvered = true;
	}
	
	public void pauseGame() {
		pauseTime ();
		pausedModal.SetActive (true);
	}

	public void pauseTime () {
		Time.timeScale = 0;
		paused = true;
		Object[] objects = FindObjectsOfType (typeof(GameObject));
		foreach (GameObject go in objects) {
			go.SendMessage ("OnPauseGame", SendMessageOptions.DontRequireReceiver);
		}
	}

	public void upNumberOfImps() {
		numberOfImps++;
		GameObject.Find("TXT_HUD_NumberOfImps").GetComponent<Text> ().text = numberOfImps.ToString();
		GameObject.Find ("TXT_HUD_NumberOfImps").GetComponent<Animator> ().SetTrigger ("animate");
	}

	public void unPauseGame() {
		Time.timeScale = 1;
		paused = false;
		pausedModal.SetActive (false);
		Object[] objects = FindObjectsOfType (typeof(GameObject));
		foreach (GameObject go in objects) {
			go.SendMessage ("OnUnpauseGame", SendMessageOptions.DontRequireReceiver);
		}
	}
}
