﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class Imp : MonoBehaviour {

	public int velocity = 50;

	private GameObject girl;

	public bool paused = true;

	public AudioClip expurgeSound;

	public AudioClip develingSound;

	// Use this for initialization
	void Start () {
//		GetComponent<CanvasRenderer>().SetColor(new Color(1.0f, 0.4f, 0.0f));
		girl = GameObject.Find ("Girl");
	}
	
	// Update is called once per frame
	void Update () {
		followGirl ();
	}

	void OnMouseDown () {
		hit ();
	}

	void OnCollisionStay2D(Collision2D coll){
		girl.SendMessage("upDevilPower");
		GetComponent<Animator> ().SetTrigger ("develing");
		GetComponent<BoxCollider2D> ().enabled = false;


		GetComponent<AudioSource> ().clip = develingSound;
		GetComponent<AudioSource> ().loop = false;
		GetComponent<AudioSource> ().Play ();

	}
	
	private void hit () {
		paused = true;
		GetComponent<Animator> ().SetTrigger ("expurge");
		GameObject.Find ("GameControler").SendMessage ("upNumberOfImps");

		GetComponent<AudioSource> ().clip = expurgeSound;
		GetComponent<AudioSource> ().loop = false;
		GetComponent<AudioSource> ().Play ();

				
	}

	void followGirl () {
		if (paused == false) {
			gameObject.transform.position = Vector3.Lerp (gameObject.transform.position, 
		                                             girl.transform.position, 
		                                             1 / (velocity * (Vector3.Distance (gameObject.transform.position, girl.transform.position))));
		}
	}

	public void expurrge() {
		Destroy (this.gameObject);
	}

	public void respawned() {
		paused = false;
	}
	

	void OnPauseGame () {
		paused = true;
	}

	void OnUnpauseGame () {
		paused = false;
	}

}
