﻿using UnityEngine;
using System.Collections;

public class SoundBackground : MonoBehaviour {

	public AudioClip level3Clip;
	AudioSource audioSource;
	
	void Start() {
		audioSource = GetComponent<AudioSource>();
	}
	
	void Update() {
		if (!audioSource.isPlaying) {
			audioSource.clip = level3Clip;

			audioSource.Play();
			audioSource.loop = true;
		}
	}
}
